/*
 * Copyright © 2016 Vecly OÜ <info@vecly.com>
 *                  Karel Pärlin
 *                  mart.ruutel
 *                  Silver Kits
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 */

#ifndef _M433_TEST_FW_
#define _M433_TEST_FW_

#include "cc1111.h"

#define BUFFER_SIZE 256

#define FW_NAME     "m433-test-fw"
#define FW_VERSION  "1-rc1"

// Values are in seconds.
#define SAFETY_TIMER            600
#define SAFETY_TEST_TIMER       10
#define SAFETY_GPIO_TIMER       30
#define PERIODIC_TX_DELAY       3
#define BOOTLOADER_LOAD_DELAY   2

#ifdef __USBEVAL
// C1111 USB evaluation board LED.
#define LED         P1_1
#define LED_MASK    0x02
#endif

#ifdef __M433LEDBOARD
// PINS are connected to LEDS' with 270 ohm resistor for indication.
// See C1111 USB dongle reference design for custom board development.
#define LED_RED     P1_4 //PIN5 in 433 modem CC Debugger interface.
#define LED_BLUE    P1_5 //PIN6 in 433 modem CC Debugger interface.
#define LED_WHITE   P1_6 //PIN8 in 433 modem CC Debugger interface.
#define LED_GREEN   P1_7 //PIN10 in 433 modem CC Debugger interface.

#define LED_MASK    0xF0
#endif

#define USB_ENABLE      P1_0
#define USB_MASK        0x01

extern volatile __xdata int safetyCountdownTimer;
extern volatile __xdata char operatingMode;
#endif